Widevine problems

I think u miss the link pointing to /usr/lib/kodi/addons/inputstream.adaptive/libssd_wv.so in the cdm directory, pls check that. And u have to create a dir widevine too.

could you go more into detail?
i’m absolutely not linux proof…
what should point where and how can i do this?
where should i create a widevine dir?

enter this into your commandline

ln -fs /usr/lib/kodi/addons/inputstream.adaptive/libssd_wv.so /home/osmc/.kodi/cdm/libssd_wv.so

Are you on Leia? (Sorry for asking)

  • Delete the content of the folder “home/osmc/.kodi/cdm”
  • put the new Inputstreamhelper.py into “home/osmc/.kodi/addons/script.modul. inputstreamhelper”
  • delete Amazon-Add-on
  • reboot Vero
  • install Amazon Add-on (take a look if inputstream 0.24 is installed)
  • “Widevine is required…” -> libwidevine will be installed

Now you can find in “home/osmc/.kodi/cdm” a link to libwidevinecdm.so (size: 1KB). In “home/osmc/.kodi/userdata/addon_data/script.module.inputstreamhelper/cdm” you will find the file libwidevinecdm.so with the size of 7.267 KB.

  • reboot

Settings for InputstreamAdaptive:

  • Max. Resolution general decoder: 720p
  • Max. Resolution secure decoder: 720p
  • Override HDCP status: unchecked
  • Ignore Display Resolution: unchecked

Settings for AmazonVOD

  • DRM Check aktivieren: unchecked
  • Ungültige Tonspur…: checked

Enjoy Amazon, Netflix and Skygo

(sorry, but I’m not able to upload a file)

ok - problem still the same.

no, kodi 17.6

as i didn’t know which “new” inpustreamhelper.py i should put there i didn’t folow these step.
the link in home/osmc/.kodi/cdm was already there, so was the file libwidevinecdm.so with a size of exactly 7.267 kb

but i still have the same error :frowning:

first of all, u have to install leia.

doesn’t work with 17.6

1 Like

huh, that was easy! working again! :hugs:
sometimes it’s just too easy… sorry for this useless thread :confused:

Hi,
I’m using Leia and now my inputstreamhelper vanished from my Vero. The last days I always got the error that no Widevine CDM is available for my system.

Widevine is not shipped with OSMC anymore. This explains it: https://github.com/osmc/osmc/issues/42013

@samnazarko I would actually advise you to not include libwidevinecdm as part of OSMC because redistribution of the binary breaks the EULA.

"Google Inc. and its affiliates ("Google") own all legal right, title and
interest in and to the content decryption module software ("Software") and
related documentation, including any intellectual property rights in the
Software. You may not use, modify, sell, or otherwise distribute the Software
without a separate license agreement with Google.  The Software is not open
source software.

If you are interested in licensing the Software, please contact
widevine@google.com.
1 Like

This may help: [HOW-TO ALL PLATFORMS]Can I use Netflix on OSMC?(post 4) - #35 by joakim_s

But not sure, if it’s just working with RPi… Check with others or wait for feedback here.

I already tried it, but the error in Amazon VOD remains (too old version?).

yes, update amazon vod, then u will be prompted for action.

0.4.8, should be the newest one. But widevine is old

After doing all the steps above (post 5) it’s working now, but sometimes I can’t see my watchlist (have to try several times) and all streams are 960x540 pixels. Have to investigate further. Thanks

Release 3.2 of Inputstreamhelper.

1 Like

i was on Leia for a week or so but yesterday i had to switch back to stable :confused: (too many problems for daily use)

there’s no way to make “this” work with 17.6 ?

Unfortunately no.

after watching skygo on PC for some time now i’m using two devices on my tv: vero 4k for video files / livetv and my old libreelec device (leia alpha) for skygo…

“waf” is dropping and i can’t blame her :frowning:
i’m aware that it’s not osmc’s fault but it sucks anyway :confused:

Why not just install Leia on the Vero 4K?

because with Leia i have terrible LiveTV performance (as stated here: [TESTING] Kodi 18 (Leia) builds for Vero 2 & 4K - #262 by narfinho)

and as my wife uses LiveTV quite often that’s an absolute NoGo. I tried with 2 more updates on 17.8… but it LiveTV wasn’t fixed. so i reinstalled stable osmc.

dual boot is not possible, right? =)